1. Fabrik 3.9 has been released. If you have updated Joomla to 3.9, this is a required update.
    Dismiss Notice

juser caused PHP catchable fatal error in https

Discussion in 'Community' started by aafie, Jun 8, 2019.

  1. aafie

    aafie New Member

    Level: Community
    Firstly, we were running http without any problems with joomla, moodle, fabrik forms and juser.

    We then switched to https. We changed all configurations and everything becomes https now. However, any Fabrik forms with plugin "juser" configured are broken with the following error after users "submit" the filled forms (If "juser" is changed to unpublished, then the problem is gone.) :

    XML-RPC Error (26045186): Coding error detected, it must be fixed by a programmer: PHP catchable fatal error | ERRORCODE: codingerror
     
  2. troester

    troester Well-Known Member Staff Member

    Level: Community
    Please don't do double posts.
    I'd answered to your (seems now deleted) post (where you didn't mention moodle) that this error message seems to be coming from joomdle (Joomla moodle) plugin.
    Try to disable moodle.

    You didn't answer my questions in your first thread:
    which Joomla, Fabrik, php versions?
    This is the Joomla2.5 forum, about totally outdated Joomla and Fabrik versions.
     
    Last edited: Jun 8, 2019
  3. aafie

    aafie New Member

    Level: Community
     
  4. aafie

    aafie New Member

    Level: Community
    The joomla version is 3.9 (We downloaded the latest version of Fabrik), PHP: 5.6.40.
     
  5. troester

    troester Well-Known Member Staff Member

    Level: Community
    Joomla3.9.what?
    php5.6 is outdated, too.
    Download Fabrik: did you make sure via Joomla extension manager that ALL Fabrik plugins are updated (download package is only core plugins)
    Did you disable Moodle?

    Gesendet von meinem SM-G930F mit Tapatalk
     
  6. aafie

    aafie New Member

    Level: Community
     
  7. aafie

    aafie New Member

    Level: Community
    I downloaded all latest Fabrik plugins with Joomla 3.9.
    We need to use Moodle, cannot be without it. And Moodle does not have a place to disable.
     
  8. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
  9. troester

    troester Well-Known Member Staff Member

    Level: Community
    You can disable any component/plugin in the Extension Manager (don't uninstall).
    You may ask the joomdle programmers to fix it. Are you running their recent version?
    Enable Joomla debugging to get more infos.
     

Share This Page